eccodes: eccodes::codes_new_from_message Interface Reference

eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Groups Pages
Public Member Functions
eccodes::codes_new_from_message Interface Reference

Create a new message in memory from an integer or character array containting the coded message. More...

## Public Member Functions
subroutine | codes_new_from_message_int4 (msgid, message, status)
| Create a new message in memory from an integer array containting the coded message. More...
subroutine | codes_new_from_message_char (msgid, message, status)
| Create a new message in memory from a character array containting the coded message. More...

## Detailed Description

Create a new message in memory from an integer or character array containting the coded message.

The message can be accessed through its ID and it will be available
until codes_release is called. A reference to the original coded
message is kept in the new message structure.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_copy_message.f90

Parameters

  id | ID of the message loaded in memory
  message | array containing the coded message
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_new_from_message_char | ( | integer(kind=kindofint), intent(out) | msgid,
|  | character(len=1), dimension(:), intent(in) | message,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Create a new message in memory from a character array containting the coded message.

The message can be accessed through its msgid and it will be available
until codes_release is called. A reference to the original coded
message is kept in the new message structure.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_copy_message.f90

Parameters

  msgid | id of the message loaded in memory
  message | character array containing the coded message
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_new_from_message_int4 | ( | integer(kind=kindofint), intent(out) | msgid,
|  | integer(kind=4), dimension(:), intent(in) | message,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Create a new message in memory from an integer array containting the coded message.

The message can be accessed through its msgid and it will be available
until codes_release is called. A reference to the original coded
message is kept in the new message structure.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_copy_message.f90

Parameters

  msgid | id of the message loaded in memory
  message | integer array containing the coded message
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90